- Qt 6.8
- Qt GUI
- C++ Classes
- QtGuiPrivate
- QRhiSwapChainRenderTarget
- Qt 6.8.2 Reference Documentation

# QRhiSwapChainRenderTarget Class

Swapchain render target resource. More...

Header: | `#include <rhi/qrhi.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::GuiPrivate)`
qmake: | `QT += gui-private`
Since: | Qt 6.6
Inherits: | QRhiRenderTarget

- List of all members, including inherited members

## Public Functions

QRhiSwapChain * | swapChain() const

## Reimplemented Public Functions

virtual QRhiResource::Type | resourceType() const override

## Detailed Description

When targeting the color buffers of a swapchain, active render target is a QRhiSwapChainRenderTarget. This is what QRhiSwapChain::currentFrameRenderTarget() returns.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

See also QRhiSwapChain.

## Member Function Documentation

### `[override virtual]` QRhiResource::Type QRhiSwapChainRenderTarget::resourceType() const

Reimplements: QRhiResource::resourceType() const.

Returns the resource type.

### QRhiSwapChain *QRhiSwapChainRenderTarget::swapChain() const

Returns the swapchain object.